package com.yonge.cooleshow.biz.dal.enums;

import com.baomidou.mybatisplus.annotation.EnumValue;
import com.yonge.toolset.base.enums.BaseEnum;

/**
 状态，1，表示短信；2，表示邮件; 3,app推送消息
 */
public enum MessageSendMode implements BaseEnum<Integer, MessageSendMode> {
	SMS(1, "短信"), EMAIL(2, "邮件"), PUSH(3, "app推送消息"), SEO(4, "站内推送消息");

	@EnumValue
	private Integer code;

	private String msg;

	MessageSendMode(Integer code, String msg) {
		this.code = code;
		this.msg = msg;
	}

	public String getMsg() {
		return msg;
	}

	@Override
	public Integer getCode() {
		return this.code;
	}
}
